OGRE: Ogre::ResourceBackgroundQueue::ResourceRequest Struct Reference - OGRE Documentation

Public Attributes | Friends

# Ogre::ResourceBackgroundQueue::ResourceRequest Struct Reference

Encapsulates a queued request for the background queue. More...

`#include <OgreResourceBackgroundQueue.h>`

List of all members.

## Public Attributes
RequestType | type
String | resourceName
ResourceHandle | resourceHandle
String | resourceType
String | groupName
bool | isManual
ManualResourceLoader * | loader
NameValuePairList * | loadParams
Listener * | listener
BackgroundProcessResult | result
## Friends
_OgreExport friend std::ostream & | operator<< (std::ostream &o, const ResourceRequest &r)

## Detailed Description

Encapsulates a queued request for the background queue.

Definition at line 123 of file OgreResourceBackgroundQueue.h.

## Friends And Related Function Documentation

_OgreExport friend std::ostream& operator<< | ( | std::ostream & | o,
|  | const ResourceRequest & | r |
| ) |  |  | `[friend]`

Definition at line 136 of file OgreResourceBackgroundQueue.h.

## Member Data Documentation

String Ogre::ResourceBackgroundQueue::ResourceRequest::groupName

Definition at line 129 of file OgreResourceBackgroundQueue.h.

bool Ogre::ResourceBackgroundQueue::ResourceRequest::isManual

Definition at line 130 of file OgreResourceBackgroundQueue.h.

Listener* Ogre::ResourceBackgroundQueue::ResourceRequest::listener

Definition at line 133 of file OgreResourceBackgroundQueue.h.

ManualResourceLoader* Ogre::ResourceBackgroundQueue::ResourceRequest::loader

Definition at line 131 of file OgreResourceBackgroundQueue.h.

NameValuePairList* Ogre::ResourceBackgroundQueue::ResourceRequest::loadParams

Definition at line 132 of file OgreResourceBackgroundQueue.h.

ResourceHandle Ogre::ResourceBackgroundQueue::ResourceRequest::resourceHandle

Definition at line 127 of file OgreResourceBackgroundQueue.h.

String Ogre::ResourceBackgroundQueue::ResourceRequest::resourceName

Definition at line 126 of file OgreResourceBackgroundQueue.h.

String Ogre::ResourceBackgroundQueue::ResourceRequest::resourceType

Definition at line 128 of file OgreResourceBackgroundQueue.h.

BackgroundProcessResult Ogre::ResourceBackgroundQueue::ResourceRequest::result

Definition at line 134 of file OgreResourceBackgroundQueue.h.

RequestType Ogre::ResourceBackgroundQueue::ResourceRequest::type

Definition at line 125 of file OgreResourceBackgroundQueue.h.

The documentation for this struct was generated from the following file:

- OgreResourceBackgroundQueue.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:59